क्यूआर कोड्स
GET https://tistos.com/api/qr-codes/
curl --request GET \
--url 'https://tistos.com/api/qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
| पॅरामीटर्स | तपशील | वर्णन |
|---|---|---|
| search | पर्यायी स्ट्रिंग | शोध स्ट्रिंग. |
| search_by | पर्यायी स्ट्रिंग | तुम्ही कोणत्या क्षेत्रात शोधत आहात. अनुमत मूल्ये आहेत: name. |
| project_id | पर्यायी पूर्णांक | |
| type | पर्यायी स्ट्रिंग | तुम्ही कोणत्या क्षेत्रात शोधत आहात. अनुमत मूल्ये आहेत: text, url, phone, sms, email, whatsapp, facetime, location, wifi, event, vcard, crypto, paypal, upi, epc, pix. |
| datetime_field | पर्यायी स्ट्रिंग | परवानाधारित मूल्ये: datetime, last_datetime |
| datetime_start | पर्यायी स्ट्रिंग | या दिनांक आणि वेळेपासून निकाल फिल्टर करा. स्वरूप Y-m-d H:i:s. |
| datetime_end | पर्यायी स्ट्रिंग | या दिनांक आणि वेळेपर्यंत निकाल फिल्टर करा. स्वरूप Y-m-d H:i:s. |
| order_by | पर्यायी स्ट्रिंग | परिणाम कोणत्या क्षेत्रानुसार क्रमबद्ध करायचे आहे. अनुमत मूल्ये आहेत: qr_code_id, datetime, last_datetime, name, type. |
| order_type | पर्यायी स्ट्रिंग | परिणामांची क्रमवारी. अनुमत मूल्ये आहेत: ASC च्या वाढत्या क्रमासाठी, आणि DESC च्या कमी होत जाणाऱ्या क्रमासाठी. |
| page | पर्यायी पूर्णांक | तुम्हाला हवे असलेले परिणाम असलेला पृष्ठ क्रमांक. पूर्वनिर्धारित 1 आहे. |
| results_per_page | पर्यायी पूर्णांक | तुम्हाला प्रति पृष्ठ किती परिणाम हवे आहेत. अनुमत मूल्ये आहेत: 10, 25, 50, 100, 250, 500, 1000. डिफॉल्ट 25 आहे. |
{
"data": [
{
"id": 1,
"type": "url",
"name": "Example name",
"qr_code": "https://tistos.com/uploads/qr_code/example.svg",
"qr_code_logo": null,
"qr_code_background": null,
"settings": {
"foreground_type": "color",
"foreground_color": "#000000",
"background_color": "#ffffff",
"custom_eyes_color": false,
"qr_code_logo_size": 25,
"size": 500,
"margin": 0,
"ecc": "L",
"url": "https://example.com"
...
},
"embedded_data": "https://example.com",
"last_datetime": null,
"datetime": "2026-07-18 11:43:33",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://tistos.com/api/qr-codes?page=1",
"last": "https://tistos.com/api/qr-codes?page=1",
"next": null,
"prev": null,
"self": "https://tistos.com/api/qr-codes?page=1"
}
}
GET https://tistos.com/api/qr-codes/{qr_code_id}
curl --request GET \
--url 'https://tistos.com/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "url",
"name": "Example name",
"qr_code": "https://tistos.com/uploads/qr_code/example.svg",
"qr_code_logo": null,
"qr_code_background": null,
"settings": {
"foreground_type": "color",
"foreground_color": "#000000",
"background_color": "#ffffff",
"custom_eyes_color": false,
"qr_code_logo_size": 25,
"size": 500,
"margin": 0,
"ecc": "L",
"url": "https://example.com"
...
},
"embedded_data": "https://example.com",
"last_datetime": null,
"datetime": "2026-07-18 11:43:33",
}
}
POST https://tistos.com/api/qr-codes
| पॅरामीटर्स | तपशील | वर्णन |
|---|---|---|
curl --request POST \
--url 'https://tistos.com/api/qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'type=text' \
--form 'text=Hello!' \
--url 'https://tistos.com/api/qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'type=text' \
--form 'text=Hello!' \
{
"data": {
"id": 1
}
}
POST https://tistos.com/api/qr-codes/{qr_code_id}
curl --request POST \
--url 'https://tistos.com/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
--url 'https://tistos.com/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
{
"data": {
"id": 1
}
}
DELETE https://tistos.com/api/qr-codes/{qr_code_id}
curl --request DELETE \
--url 'https://tistos.com/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \